

kerio.lib.x_29g = {
x_2n1: null,
x_2n2: {},
x_2n3: {},  
x_m: function(x_2v) {
this.x_2n1 = x_2v.x_1ag;
},

x_2bl: function(x_2v) {
var x_5g = x_2v.x_5g;
if (!x_5g) {
kerio.lib.x_nq('Internal error: uiCacheManager.x_2bl - source name is not defined!', 'uiCacheManager.js');
return;
}
var x_1ag = this.x_2n1;
if (x_1ag[x_5g] && x_2v.x_2n4 !== true) {
this.x_2n5(x_1ag[x_5g], x_2v);
}
else {
kerio.lib.x_6t.x_6u({
x_6a: x_5g + '.js' + kerio.lib.x_2n6,
x_6p: 'get',
x_2e: this.x_1g6,
x_2q: this,
x_2s: x_2v,
x_zq: {x_zs: ''}
});
}
}, 
x_b0: function(x_n) {
return this.x_2n2[x_n];
},

x_2n7: function (x_n, x_2ba) {
this.x_2n2[x_n] = x_2ba;
},

x_2n8: function (x_n) {
}, 
x_2n9: function() {

}, 
x_1g6: function(x_6v, x_6w, x_2s) {
var x_5g = x_2s.x_5g;
var x_2na;
if (x_6w) {
this.x_2n3[x_5g] = 1;
if (!x_2s.x_2n4) {
x_2na = this.x_2nb(x_5g, x_6v.x_111.responseText);
if (x_2na) {
this.x_2n5(x_2na, x_2s);
}
}
}
else {
kerio.lib.x_nq('Internal error: loadContent ' + x_5g + ' failed!', 'uiCacheManager');
}
}, 
x_2nb: function(x_5g, x_2nc) {
var x_2nd = {};
var x_2ne = null;
var x_2nf = 0;
var x_290;
var x_2ng = '';
for (x_290 in this.x_2n1) {
x_2nd[x_290] = 1;
}
try {
eval(x_2nc);
}
catch (x_2nh) {
x_2ng = 'Error in on-demand loaded dialog "' + x_5g + '". ' + x_2nh;
kerio.lib.x_nq(x_2ng, x_5g, x_2nh.line);
return null;
}
for (x_290 in this.x_2n1) {
if (!x_2nd[x_290]) {  x_2nf++;
x_2ne = x_290;
}
}
if (1 != x_2nf || x_2ne != x_5g) {
x_2ng = 'ERROR: Invalid configuration file ' + x_5g + '.\n\n';
if (1 != x_2nf) {
x_2ng += 'It has to contain exactly one new property (widget definition) in its namespace. Here are '
+ x_2nf + ' actually.';
}
else {
x_2ng += 'A name of property (widget definition) has to be equal to the file name (it is '
+ x_2ne + ' actually).';
}
kerio.lib.x_nq('Internal error: ' + x_2ng, 'uiCacheManager.js');
return;
}
return this.x_2n1[x_2ne];
}, 
x_2n5: function(x_2na, x_2ni) {
var x_n = (x_2ni.x_n) ? x_2ni.x_n
: x_2ni.x_5g;
var x_2b;
try {
x_2b = x_2na.x_m(x_n);
}
catch (x_2nh) {
kerio.lib.x_nq(x_2nh + ' [initialization of "' + x_n + '"]', x_2ni.x_5g, x_2nh.line);
return null;
}
if (kerio.lib.x_6b.x_2nj == x_2b.x_3h) {
}
this.x_2n7(x_n, x_2b);
x_2ni.x_2bj.call(x_2ni.x_2bk, x_2ni);

if (x_2b.x_2nk) {
this.x_2nl.defer(10000, x_2b);
}
return x_2b;
}, 
x_2nl: function() {
var
x_5g,
x_2nk = this.x_2nk;
for (var x_41 = 0, x_42 = x_2nk.length; x_41 < x_42; x_41++) {
x_5g = x_2nk[x_41];
if (undefined === kerio.lib.x_29g.x_2n3[x_5g]) {
kerio.lib.x_29g.x_2bl({x_5g: x_5g, x_2n4: true});
}
}
}
};


kerio.lib.x_5l = {
x_m: function() {
var x_2nm = this.x_2nn,
x_2no = Ext.getDoc(),
x_2np = function() {
return false;
};
if (Ext.isIE) {
x_2no.on('selectstart', x_2nm);
}
x_2no.on('contextmenu', x_2nm);
x_2no.on('drag', x_2np);
this.x_2nq();
this.x_2nr();
},

x_2nn: function() {
var x_4e = Ext.EventObject,
x_2ns = x_4e.getTarget(),
x_2nt = '',
x_2nu = null;
if (x_2ns.tagName) {
x_2nt = x_2ns.tagName.toLowerCase();
}
if ('input' == x_2nt || 'textarea' == x_2nt) {
x_2nu = x_2ns.type;
if (0 !== x_4e.button) {
if ('radio' == x_2nu || 'checkbox' == x_2nu) {

Ext.lib.Event.stopEvent(x_4e);
return false;
}
}
return true;
}

Ext.lib.Event.stopEvent(x_4e);
return false;
}, 
x_2nq: function() {
var x_2nv = Ext.getBody();
var x_2nw = ['kerio']; var x_1b = kerio.lib;
if (x_1b.x_j9) {
x_2nw.push('br-ie');
if (x_1b.x_2nx) {
x_2nw.push('br-ie6');
}
else if (x_1b.x_1p3) {
x_2nw.push('br-ie7');
}
else { x_2nw.push('br-ie8');
}
}
else {
if (x_1b.x_2ny) {
x_2nw.push('br-ff');
x_2nw.push((x_1b.x_2lm) ? 'br-ff2' : 'br-ff3');
}
else {
if (x_1b.x_1rv) {
x_2nw.push('br-sf');
x_2nw.push((x_1b.x_2nz) ? 'br-sf2' : 'br-sf3');
}
}
}
if (Ext.isWindows) {
x_2nw.push('os-windows');
}
else if (Ext.isMac) {
x_2nw.push('os-mac');
}
else if (Ext.isLinux) {
x_2nw.push('os-linux');
}
x_2nv.addClass(x_2nw);
}, 
x_2nr: function() {
Ext.getBody().createChild({
id: 'x_2o0',
tag: 'textarea',
style: 'position: absolute; top: -1000px; left: -1000px; width: 10px; height: 10px'
});
},

x_5m: function(x_2v) {
if (!x_2v) {
return;
}
var
x_n = (x_2v.x_n) ? x_2v.x_n : x_2v.x_5g,
x_29g = kerio.lib.x_29g,
x_2ba = x_29g.x_b0(x_n),
x_2o1 = kerio.lib.x_1k7();
if (x_2ba) {
x_2ba.x_1v3();
kerio.lib.x_1k9(x_2o1);
if (x_2ba.x_2c) {
x_2ba.x_2c.call(x_2ba, x_2v.x_28);
}
}
else {
x_2v.x_2bj = arguments.callee;
x_2v.x_2bk = this;
x_29g.x_2bl.call(x_29g, x_2v);
}
}  };
